Package org.bukkit.block.data.type

# Interface Jigsaw

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface Jigsaw extends BlockData
'orientation' is the direction the block is facing.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Jigsaw.Orientation`
The directions the Jigsaw can be oriented.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Jigsaw.Orientation`
`getOrientation()`
Gets the value of the 'orientation' property.
`void`
`setOrientation(@NotNull Jigsaw.Orientation orientation)`
Sets the value of the 'orientation' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getOrientation

@NotNull @NotNull Jigsaw.Orientation getOrientation()
Gets the value of the 'orientation' property.

Returns:
  the 'orientation' value

### setOrientation

void setOrientation(@NotNull @NotNull Jigsaw.Orientation orientation)
Sets the value of the 'orientation' property.

Parameters:
  `orientation` - the new 'orientation' value